Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Interface WorkspaceHookDef

Deprecated. Use weblogic.workspace.common.WorkspaceDef and Monitors.

public interface WorkspaceHookDef

A class that implements the interface WorkspaceHookDef has an interest in the operations of a Workspace.

When an object that implements WorkspaceHookDef is stored in a workspace, the methods of WorkspaceHookDef are invoked before and after the normal operations of the Workspace, including store and remove.

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.Object` | `post_fetch(weblogic.workspace.server.Workspace w, java.lang.String key, java.lang.Object o)` Deprecated.
`java.lang.Object` | `post_remove(weblogic.workspace.server.Workspace w, java.lang.String key, java.lang.Object o)` Deprecated.
`java.lang.Boolean` | `pre_remove(weblogic.workspace.server.Workspace w, java.lang.String key)` Deprecated.
`java.lang.Boolean` | `pre_store(weblogic.workspace.server.Workspace w, java.lang.String key, java.lang.Object o)` Deprecated.

Method Detail

### pre_store

    public java.lang.Boolean pre_store(weblogic.workspace.server.Workspace w,
                                       java.lang.String key,
                                       java.lang.Object o)

  Deprecated.
  Pre_store is invoked just before a store operation on the object that is currently in the workspace, if any.

  Parameters:
    `w` - Workspace that is processing the store operation
    `key` - Key parameter of the store operation
    `o` - Object parameter of the store operation
  Returns:
    True if the store should proceed

### post_fetch

    public java.lang.Object post_fetch(weblogic.workspace.server.Workspace w,
                                       java.lang.String key,
                                       java.lang.Object o)

  Deprecated.
  Post_fetch is invoked just after a fetch operation.

  Parameters:
    `w` - Workspace that is processing the fetch operation
    `key` - Key parameter from the original fetch operation
    `o` - Object fetched
  Returns:
    Object that was fetched

### pre_remove

    public java.lang.Boolean pre_remove(weblogic.workspace.server.Workspace w,
                                        java.lang.String key)

  Deprecated.
  Pre_remove is invoked just before a remove operation.

  Parameters:
    `w` - Workspace that is processing the remove operation
    `key` - Key of the object to be removed
  Returns:
    True if the remove should proceed

### post_remove

    public java.lang.Object post_remove(weblogic.workspace.server.Workspace w,
                                        java.lang.String key,
                                        java.lang.Object o)

  Deprecated.
  Post_remove is invoked just after a remove operation.

  Parameters:
    `w` - Workspace that is processing the remote operation
    `key` - Key of the object to remove
    `o` - Object that was just removed from the workspace
  Returns:
    Object that is the result of the remove operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD